//+------------------------------------------------------------------+
//|                                                    +PriceSR+.mq4 |
//|                                   # Price in Sup. or Res. ZONE # |
//|                                        Copyright  2008, masemus |
//|                                    Gresik - EastJAVA - Indonesia |
//+------------------------------------------------------------------+
#property copyright "masemus"
#property link      "masemus@yahoo.com"

#property indicator_chart_window

//---- Pos!
extern int window       = 0;
extern int corner       = 3;
extern int y_offset     = 0;
extern int x_offset     = -25;

//---- BuySell
extern color DN_clr     = DeepPink;
extern color UP_clr     = DodgerBlue;
extern color SW_clr     = DarkGray;
extern color tDN_clr    = LightPink;
extern color tUP_clr    = LightSkyBlue;
extern color tSW_clr    = LightGray;
extern color Bgrn_clr   = White;

//---- MarketToday :: Mtr
extern color DN0_clr    = Yellow;
extern color DN1_clr    = Gold;
extern color DN2_clr    = Orange;
extern color DN3_clr    = DarkOrange;
extern color DN4_clr    = OrangeRed;
extern color DN5_clr    = Red;
extern color UP0_clr    = GreenYellow;
extern color UP1_clr    = LightGreen;
extern color UP2_clr    = LimeGreen;
extern color UP3_clr    = MediumSeaGreen;
extern color UP4_clr    = SeaGreen;
extern color UP5_clr    = Green;
extern color SW0_clr    = DarkGray;
extern color SW2dn_clr  = LightPink;
extern color SW2up_clr  = LightSkyBlue;


//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {    
   string Teks="",HILO="",PIPS="",HI="",LO="";
   //Price
   double Price1 = iMA(Symbol(),0,1,0,MODE_EMA,PRICE_CLOSE,0);   
    Teks=DoubleToStr(Price1,Digits);

   double CLOSE = iClose(NULL,1440,0);
   double High_Today = iHigh(NULL,1440,0);
   double Low_Today = iLow(NULL,1440,0);
   double Open_Today = iOpen(NULL,1440,0);
   HI =  (DoubleToStr(High_Today,Digits));
   LO =  (DoubleToStr(Low_Today,Digits));
   PIPS =  DoubleToStr((CLOSE-Open_Today)/Point,0);
   HILO = DoubleToStr((High_Today-Low_Today)/Point,0);

  //*****************************************************************************************************
   //D1_TREND
   string D1Mid="",D1Pivot="",D1OPEN="";
   color color_d1op;
   double Open_D1 = iOpen(NULL,1440,0);
   D1OPEN =  (DoubleToStr(Open_D1,Digits));
   double D1r = iHigh(NULL,PERIOD_D1,1) - iLow(NULL,PERIOD_D1,1);
   double D1R = (iHigh(NULL,PERIOD_D1,1) + iLow(NULL,PERIOD_D1,1))/2;
   double D1P = (iHigh(NULL,PERIOD_D1,1) + iLow(NULL,PERIOD_D1,1) + iClose(NULL,PERIOD_D1,1))/3;
   D1Mid = DoubleToStr(D1R,Digits);
   D1Pivot = DoubleToStr(D1P,Digits);

     if (D1OPEN > D1Pivot) {color_d1op=LimeGreen;}
     if (D1OPEN < D1Pivot) {color_d1op=Orange;}
     if (D1OPEN == D1Pivot) {color_d1op=DarkGray;}

   //MarketD1
   string SW01="",UP01="",UP02="",UP03="",
          UP04="",UP05="",UP06="",Mid00="",
          TPb1="",TPb2="",TPb3="",TPs1="",TPs2="",TPs3="",
          TP1="",TP2="",TP3="";
   color Midplus_clr,UPtp1D1_clr,UPtp2D1_clr,UPtp3D1_clr,
         UPtp4D1_clr,UPtp5D1_clr,UPtp6D1_clr,TP_clr;

   double Midnol = (Open_D1 + D1P) * 1/2;
   Mid00 = DoubleToStr(Midnol,Digits);

   double UPtp1D1 = D1P + (D1r * 0.236);
   double UPtp2D1 = D1P + (D1r * 0.382);
   double UPtp3D1 = D1P + (D1r * 0.618);
   double UPtp4D1 = D1P + (D1r * 0.764);
   double UPtp5D1 = D1P + (D1r * 1.000);
   double UPtp6D1 = D1P + (D1r * 1.236);
  
   double DNtp1D1 = D1P - (D1r * 0.236);
   double DNtp2D1 = D1P - (D1r * 0.382);
   double DNtp3D1 = D1P - (D1r * 0.618);
   double DNtp4D1 = D1P - (D1r * 0.764);
   double DNtp5D1 = D1P - (D1r * 1.000);
   double DNtp6D1 = D1P - (D1r * 1.236);
  
   TPb1 = DoubleToStr(UPtp2D1,Digits);
   TPb2 = DoubleToStr(UPtp3D1,Digits);
   TPb3 = DoubleToStr(UPtp6D1,Digits);
   TPs1 = DoubleToStr(DNtp2D1,Digits);
   TPs2 = DoubleToStr(DNtp3D1,Digits);
   TPs3 = DoubleToStr(DNtp6D1,Digits);

     if (Price1 > Midnol) {SW01="n"; Midplus_clr=SW2up_clr;}
     if (Price1 < Midnol) {SW01="n"; Midplus_clr=SW2dn_clr;}
     if (Price1 == Midnol) {SW01="n"; Midplus_clr=SW0_clr;}
     if (Teks > Mid00) {TP1=TPb1; TP2=TPb2; TP3=TPb3; TP_clr=UP3_clr;}
     if (Teks < Mid00) {TP1=TPs1; TP2=TPs2; TP3=TPs3; TP_clr=DN3_clr;}
     if (Price1 > UPtp1D1) {UP01="-"; UPtp1D1_clr=UP0_clr;}
     if (Price1 < DNtp1D1) {UP01="-"; UPtp1D1_clr=DN0_clr;}
     if (Price1 > UPtp2D1) {UP02="-"; UPtp2D1_clr=UP1_clr;}
     if (Price1 < DNtp2D1) {UP02="-"; UPtp2D1_clr=DN1_clr;}
     if (Price1 > UPtp3D1) {UP03="-"; UPtp3D1_clr=UP2_clr;}
     if (Price1 < DNtp3D1) {UP03="-"; UPtp3D1_clr=DN2_clr;}
     if (Price1 > UPtp4D1) {UP04="-"; UPtp4D1_clr=UP3_clr;}
     if (Price1 < DNtp4D1) {UP04="-"; UPtp4D1_clr=DN3_clr;}
     if (Price1 > UPtp5D1) {UP05="-"; UPtp5D1_clr=UP4_clr;}
     if (Price1 < DNtp5D1) {UP05="-"; UPtp5D1_clr=DN4_clr;}
     if (Price1 > UPtp6D1) {UP06="-"; UPtp6D1_clr=UP5_clr;}
     if (Price1 < DNtp6D1) {UP06="-"; UPtp6D1_clr=DN5_clr;}

  //*****************************************************************************************************
   //H4_TREND
   string H4Mid="",H4Pivot="",H4OPEN="";
   double Open_H4 = iOpen(NULL,240,0);
   H4OPEN =  (DoubleToStr(Open_H4,Digits));
   double H4r = iHigh(NULL,PERIOD_H4,1) - iLow(NULL,PERIOD_H4,1);
   double H4R = (iHigh(NULL,PERIOD_H4,1) + iLow(NULL,PERIOD_H4,1))/2;
   double H4P = (iHigh(NULL,PERIOD_H4,1) + iLow(NULL,PERIOD_H4,1) + iClose(NULL,PERIOD_H4,1))/3;
   H4Mid = DoubleToStr(H4R,Digits);
   H4Pivot = DoubleToStr(H4P,Digits);

   //MarketH4
   string SW01h4="",UP01h4="",UP02h4="",UP03h4="",
          UP04h4="",UP05h4="",UP06h4="";
   color Midplush4_clr,UPtp1h4_clr,UPtp2h4_clr,UPtp3h4_clr,
         UPtp4h4_clr,UPtp5h4_clr,UPtp6h4_clr;

   double Midnolh4 = (Open_H4 + H4P) * 1/2;

   double UPtp1h4 = H4P + (H4r * 0.236);
   double UPtp2h4 = H4P + (H4r * 0.382);
   double UPtp3h4 = H4P + (H4r * 0.618);
   double UPtp4h4 = H4P + (H4r * 0.764);
   double UPtp5h4 = H4P + (H4r * 1.000);
   double UPtp6h4 = H4P + (H4r * 1.236);
  
   double DNtp1h4 = H4P - (H4r * 0.236);
   double DNtp2h4 = H4P - (H4r * 0.382);
   double DNtp3h4 = H4P - (H4r * 0.618);
   double DNtp4h4 = H4P - (H4r * 0.764);
   double DNtp5h4 = H4P - (H4r * 1.000);
   double DNtp6h4 = H4P - (H4r * 1.236);
  
     if (Price1 > Midnolh4) {SW01h4="n"; Midplush4_clr=SW2up_clr;}
     if (Price1 < Midnolh4) {SW01h4="n"; Midplush4_clr=SW2dn_clr;}
     if (Price1 == Midnolh4) {SW01h4="n"; Midplush4_clr=SW0_clr;}
     if (Price1 > UPtp1h4) {UP01h4="-"; UPtp1h4_clr=UP0_clr;}
     if (Price1 < DNtp1h4) {UP01h4="-"; UPtp1h4_clr=DN0_clr;}
     if (Price1 > UPtp2h4) {UP02h4="-"; UPtp2h4_clr=UP1_clr;}
     if (Price1 < DNtp2h4) {UP02h4="-"; UPtp2h4_clr=DN1_clr;}
     if (Price1 > UPtp3h4) {UP03h4="-"; UPtp3h4_clr=UP2_clr;}
     if (Price1 < DNtp3h4) {UP03h4="-"; UPtp3h4_clr=DN2_clr;}
     if (Price1 > UPtp4h4) {UP04h4="-"; UPtp4h4_clr=UP3_clr;}
     if (Price1 < DNtp4h4) {UP04h4="-"; UPtp4h4_clr=DN3_clr;}
     if (Price1 > UPtp5h4) {UP05h4="-"; UPtp5h4_clr=UP4_clr;}
     if (Price1 < DNtp5h4) {UP05h4="-"; UPtp5h4_clr=DN4_clr;}
     if (Price1 > UPtp6h4) {UP06h4="-"; UPtp6h4_clr=UP5_clr;}
     if (Price1 < DNtp6h4) {UP06h4="-"; UPtp6h4_clr=DN5_clr;}

   //*****************************************************************************************************
   //H1_TREND
   string H1Mid="",H1Pivot="",H1OPEN="";
   double Open_H1 = iOpen(NULL,60,0);
   H1OPEN =  (DoubleToStr(Open_H1,Digits));
   double H1r = iHigh(NULL,PERIOD_H1,1) - iLow(NULL,PERIOD_H1,1);
   double H1R = (iHigh(NULL,PERIOD_H1,1) + iLow(NULL,PERIOD_H1,1))/2;
   double H1P = (iHigh(NULL,PERIOD_H1,1) + iLow(NULL,PERIOD_H1,1) + iClose(NULL,PERIOD_H1,1))/3;
   H1Mid = DoubleToStr(H1R,Digits);
   H1Pivot = DoubleToStr(H1P,Digits);

   //MarketH1
   string SW01h1="",UP01h1="",UP02h1="",UP03h1="",
          UP04h1="",UP05h1="",UP06h1="";
   color Midplush1_clr,UPtp1h1_clr,UPtp2h1_clr,UPtp3h1_clr,
         UPtp4h1_clr,UPtp5h1_clr,UPtp6h1_clr;

   double Midnolh1 = (Open_H1 + H1P) * 1/2;

   double UPtp1h1 = H1P + (H1r * 0.236);
   double UPtp2h1 = H1P + (H1r * 0.382);
   double UPtp3h1 = H1P + (H1r * 0.618);
   double UPtp4h1 = H1P + (H1r * 0.764);
   double UPtp5h1 = H1P + (H1r * 1.000);
   double UPtp6h1 = H1P + (H1r * 1.236);
  
   double DNtp1h1 = H1P - (H1r * 0.236);
   double DNtp2h1 = H1P - (H1r * 0.382);
   double DNtp3h1 = H1P - (H1r * 0.618);
   double DNtp4h1 = H1P - (H1r * 0.764);
   double DNtp5h1 = H1P - (H1r * 1.000);
   double DNtp6h1 = H1P - (H1r * 1.236);
  
     if (Price1 > Midnolh1) {SW01h1="n"; Midplush1_clr=SW2up_clr;}
     if (Price1 < Midnolh1) {SW01h1="n"; Midplush1_clr=SW2dn_clr;}
     if (Price1 == Midnolh1) {SW01h1="n"; Midplush1_clr=SW0_clr;}
     if (Price1 > UPtp1h1) {UP01h1="-"; UPtp1h1_clr=UP0_clr;}
     if (Price1 < DNtp1h1) {UP01h1="-"; UPtp1h1_clr=DN0_clr;}
     if (Price1 > UPtp2h1) {UP02h1="-"; UPtp2h1_clr=UP1_clr;}
     if (Price1 < DNtp2h1) {UP02h1="-"; UPtp2h1_clr=DN1_clr;}
     if (Price1 > UPtp3h1) {UP03h1="-"; UPtp3h1_clr=UP2_clr;}
     if (Price1 < DNtp3h1) {UP03h1="-"; UPtp3h1_clr=DN2_clr;}
     if (Price1 > UPtp4h1) {UP04h1="-"; UPtp4h1_clr=UP3_clr;}
     if (Price1 < DNtp4h1) {UP04h1="-"; UPtp4h1_clr=DN3_clr;}
     if (Price1 > UPtp5h1) {UP05h1="-"; UPtp5h1_clr=UP4_clr;}
     if (Price1 < DNtp5h1) {UP05h1="-"; UPtp5h1_clr=DN4_clr;}
     if (Price1 > UPtp6h1) {UP06h1="-"; UPtp6h1_clr=UP5_clr;}
     if (Price1 < DNtp6h1) {UP06h1="-"; UPtp6h1_clr=DN5_clr;}

   //*****************************************************************************************************
   //M30_TREND
   string M30Mid="",M30Pivot="",M30OPEN="";
   double Open_M30 = iOpen(NULL,30,0);
   M30OPEN =  (DoubleToStr(Open_M30,Digits));
   double M30r = iHigh(NULL,PERIOD_M30,1) - iLow(NULL,PERIOD_M30,1);
   double M30R = (iHigh(NULL,PERIOD_M30,1) + iLow(NULL,PERIOD_M30,1))/2;
   double M30P = (iHigh(NULL,PERIOD_M30,1) + iLow(NULL,PERIOD_M30,1) + iClose(NULL,PERIOD_M30,1))/3;
   M30Mid = DoubleToStr(M30R,Digits);
   M30Pivot = DoubleToStr(M30P,Digits);

   //MarketM30
   string SW01m30="",UP01m30="",UP02m30="",UP03m30="",
          UP04m30="",UP05m30="",UP06m30="";
   color Midplusm30_clr,UPtp1m30_clr,UPtp2m30_clr,UPtp3m30_clr,
         UPtp4m30_clr,UPtp5m30_clr,UPtp6m30_clr;

   double Midnolm30 = (Open_M30 + M30P) * 1/2;

   double UPtp1m30 = M30P + (M30r * 0.236);
   double UPtp2m30 = M30P + (M30r * 0.382);
   double UPtp3m30 = M30P + (M30r * 0.618);
   double UPtp4m30 = M30P + (M30r * 0.764);
   double UPtp5m30 = M30P + (M30r * 1.000);
   double UPtp6m30 = M30P + (M30r * 1.236);
  
   double DNtp1m30 = M30P - (M30r * 0.236);
   double DNtp2m30 = M30P - (M30r * 0.382);
   double DNtp3m30 = M30P - (M30r * 0.618);
   double DNtp4m30 = M30P - (M30r * 0.764);
   double DNtp5m30 = M30P - (M30r * 1.000);
   double DNtp6m30 = M30P - (M30r * 1.236);
  
     if (Price1 > Midnolm30) {SW01m30="n"; Midplusm30_clr=SW2up_clr;}
     if (Price1 < Midnolm30) {SW01m30="n"; Midplusm30_clr=SW2dn_clr;}
     if (Price1 == Midnolm30) {SW01m30="n"; Midplusm30_clr=SW0_clr;}
     if (Price1 > UPtp1m30) {UP01m30="-"; UPtp1m30_clr=UP0_clr;}
     if (Price1 < DNtp1m30) {UP01m30="-"; UPtp1m30_clr=DN0_clr;}
     if (Price1 > UPtp2m30) {UP02m30="-"; UPtp2m30_clr=UP1_clr;}
     if (Price1 < DNtp2m30) {UP02m30="-"; UPtp2m30_clr=DN1_clr;}
     if (Price1 > UPtp3m30) {UP03m30="-"; UPtp3m30_clr=UP2_clr;}
     if (Price1 < DNtp3m30) {UP03m30="-"; UPtp3m30_clr=DN2_clr;}
     if (Price1 > UPtp4m30) {UP04m30="-"; UPtp4m30_clr=UP3_clr;}
     if (Price1 < DNtp4m30) {UP04m30="-"; UPtp4m30_clr=DN3_clr;}
     if (Price1 > UPtp5m30) {UP05m30="-"; UPtp5m30_clr=UP4_clr;}
     if (Price1 < DNtp5m30) {UP05m30="-"; UPtp5m30_clr=DN4_clr;}
     if (Price1 > UPtp6m30) {UP06m30="-"; UPtp6m30_clr=UP5_clr;}
     if (Price1 < DNtp6m30) {UP06m30="-"; UPtp6m30_clr=DN5_clr;}

   //*****************************************************************************************************
   //M15_TREND
   string M15Mid="",M15Pivot="",M15OPEN="";
   double Open_M15 = iOpen(NULL,15,0);
   M15OPEN =  (DoubleToStr(Open_M15,Digits));
   double M15r = iHigh(NULL,PERIOD_M15,1) - iLow(NULL,PERIOD_M15,1);
   double M15R = (iHigh(NULL,PERIOD_M15,1) + iLow(NULL,PERIOD_M15,1))/2;
   double M15P = (iHigh(NULL,PERIOD_M15,1) + iLow(NULL,PERIOD_M15,1) + iClose(NULL,PERIOD_M15,1))/3;
   M15Mid = DoubleToStr(M15R,Digits);
   M15Pivot = DoubleToStr(M15P,Digits);

   //MarketM15
   string SW01m15="",UP01m15="",UP02m15="",UP03m15="",
          UP04m15="",UP05m15="",UP06m15="";
   color Midplusm15_clr,UPtp1m15_clr,UPtp2m15_clr,UPtp3m15_clr,
         UPtp4m15_clr,UPtp5m15_clr,UPtp6m15_clr;

   double Midnolm15 = (Open_M15 + M15P) * 1/2;

   double UPtp1m15 = M15P + (M15r * 0.236);
   double UPtp2m15 = M15P + (M15r * 0.382);
   double UPtp3m15 = M15P + (M15r * 0.618);
   double UPtp4m15 = M15P + (M15r * 0.764);
   double UPtp5m15 = M15P + (M15r * 1.000);
   double UPtp6m15 = M15P + (M15r * 1.236);
  
   double DNtp1m15 = M15P - (M15r * 0.236);
   double DNtp2m15 = M15P - (M15r * 0.382);
   double DNtp3m15 = M15P - (M15r * 0.618);
   double DNtp4m15 = M15P - (M15r * 0.764);
   double DNtp5m15 = M15P - (M15r * 1.000);
   double DNtp6m15 = M15P - (M15r * 1.236);
  
     if (Price1 > Midnolm15) {SW01m15="n"; Midplusm15_clr=SW2up_clr;}
     if (Price1 < Midnolm15) {SW01m15="n"; Midplusm15_clr=SW2dn_clr;}
     if (Price1 == Midnolm15) {SW01m15="n"; Midplusm15_clr=SW0_clr;}
     if (Price1 > UPtp1m15) {UP01m15="-"; UPtp1m15_clr=UP0_clr;}
     if (Price1 < DNtp1m15) {UP01m15="-"; UPtp1m15_clr=DN0_clr;}
     if (Price1 > UPtp2m15) {UP02m15="-"; UPtp2m15_clr=UP1_clr;}
     if (Price1 < DNtp2m15) {UP02m15="-"; UPtp2m15_clr=DN1_clr;}
     if (Price1 > UPtp3m15) {UP03m15="-"; UPtp3m15_clr=UP2_clr;}
     if (Price1 < DNtp3m15) {UP03m15="-"; UPtp3m15_clr=DN2_clr;}
     if (Price1 > UPtp4m15) {UP04m15="-"; UPtp4m15_clr=UP3_clr;}
     if (Price1 < DNtp4m15) {UP04m15="-"; UPtp4m15_clr=DN3_clr;}
     if (Price1 > UPtp5m15) {UP05m15="-"; UPtp5m15_clr=UP4_clr;}
     if (Price1 < DNtp5m15) {UP05m15="-"; UPtp5m15_clr=DN4_clr;}
     if (Price1 > UPtp6m15) {UP06m15="-"; UPtp6m15_clr=UP5_clr;}
     if (Price1 < DNtp6m15) {UP06m15="-"; UPtp6m15_clr=DN5_clr;}

   //*****************************************************************************************************
   //M5_TREND
   string M5Mid="",M5Pivot="",M5OPEN="";
   double Open_M5 = iOpen(NULL,5,0);
   M5OPEN =  (DoubleToStr(Open_M5,Digits));
   double M5r = iHigh(NULL,PERIOD_M5,1) - iLow(NULL,PERIOD_M5,1);
   double M5R = (iHigh(NULL,PERIOD_M5,1) + iLow(NULL,PERIOD_M5,1))/2;
   double M5P = (iHigh(NULL,PERIOD_M5,1) + iLow(NULL,PERIOD_M5,1) + iClose(NULL,PERIOD_M5,1))/3;
   M5Mid = DoubleToStr(M5R,Digits);
   M5Pivot = DoubleToStr(M5P,Digits);

   //MarketM5
   string SW01m5="",UP01m5="",UP02m5="",UP03m5="",
          UP04m5="",UP05m5="",UP06m5="";
   color Midplusm5_clr,UPtp1m5_clr,UPtp2m5_clr,UPtp3m5_clr,
         UPtp4m5_clr,UPtp5m5_clr,UPtp6m5_clr;

   double Midnolm5 = (Open_M5 + M5P) * 1/2;

   double UPtp1m5 = M5P + (M5r * 0.236);
   double UPtp2m5 = M5P + (M5r * 0.382);
   double UPtp3m5 = M5P + (M5r * 0.618);
   double UPtp4m5 = M5P + (M5r * 0.764);
   double UPtp5m5 = M5P + (M5r * 1.000);
   double UPtp6m5 = M5P + (M5r * 1.236);
  
   double DNtp1m5 = M5P - (M5r * 0.236);
   double DNtp2m5 = M5P - (M5r * 0.382);
   double DNtp3m5 = M5P - (M5r * 0.618);
   double DNtp4m5 = M5P - (M5r * 0.764);
   double DNtp5m5 = M5P - (M5r * 1.000);
   double DNtp6m5 = M5P - (M5r * 1.236);
  
     if (Price1 > Midnolm5) {SW01m5="n"; Midplusm5_clr=SW2up_clr;}
     if (Price1 < Midnolm5) {SW01m5="n"; Midplusm5_clr=SW2dn_clr;}
     if (Price1 == Midnolm5) {SW01m5="n"; Midplusm5_clr=SW0_clr;}
     if (Price1 > UPtp1m5) {UP01m5="-"; UPtp1m5_clr=UP0_clr;}
     if (Price1 < DNtp1m5) {UP01m5="-"; UPtp1m5_clr=DN0_clr;}
     if (Price1 > UPtp2m5) {UP02m5="-"; UPtp2m5_clr=UP1_clr;}
     if (Price1 < DNtp2m5) {UP02m5="-"; UPtp2m5_clr=DN1_clr;}
     if (Price1 > UPtp3m5) {UP03m5="-"; UPtp3m5_clr=UP2_clr;}
     if (Price1 < DNtp3m5) {UP03m5="-"; UPtp3m5_clr=DN2_clr;}
     if (Price1 > UPtp4m5) {UP04m5="-"; UPtp4m5_clr=UP3_clr;}
     if (Price1 < DNtp4m5) {UP04m5="-"; UPtp4m5_clr=DN3_clr;}
     if (Price1 > UPtp5m5) {UP05m5="-"; UPtp5m5_clr=UP4_clr;}
     if (Price1 < DNtp5m5) {UP05m5="-"; UPtp5m5_clr=DN4_clr;}
     if (Price1 > UPtp6m5) {UP06m5="-"; UPtp6m5_clr=UP5_clr;}
     if (Price1 < DNtp6m5) {UP06m5="-"; UPtp6m5_clr=DN5_clr;}

   //*****************************************************************************************************
   //M1_TREND
   string M1Mid="",M1Pivot="",M1OPEN="";
   double Open_M1 = iOpen(NULL,1,0);
   M1OPEN =  (DoubleToStr(Open_M1,Digits));
   double M1r = iHigh(NULL,PERIOD_M1,1) - iLow(NULL,PERIOD_M1,1);
   double M1R = (iHigh(NULL,PERIOD_M1,1) + iLow(NULL,PERIOD_M1,1))/2;
   double M1P = (iHigh(NULL,PERIOD_M1,1) + iLow(NULL,PERIOD_M1,1) + iClose(NULL,PERIOD_M1,1))/3;
   M1Mid = DoubleToStr(M1R,Digits);
   M1Pivot = DoubleToStr(M1P,Digits);

   //MarketM1
   string SW01m1="",UP01m1="",UP02m1="",UP03m1="",
          UP04m1="",UP05m1="",UP06m1="";
   color Midplusm1_clr,UPtp1m1_clr,UPtp2m1_clr,UPtp3m1_clr,
         UPtp4m1_clr,UPtp5m1_clr,UPtp6m1_clr;

   double Midnolm1 = (Open_M1 + M1P) * 1/2;

   double UPtp1m1 = M1P + (M1r * 0.236);
   double UPtp2m1 = M1P + (M1r * 0.382);
   double UPtp3m1 = M1P + (M1r * 0.618);
   double UPtp4m1 = M1P + (M1r * 0.764);
   double UPtp5m1 = M1P + (M1r * 1.000);
   double UPtp6m1 = M1P + (M1r * 1.236);
  
   double DNtp1m1 = M1P - (M1r * 0.236);
   double DNtp2m1 = M1P - (M1r * 0.382);
   double DNtp3m1 = M1P - (M1r * 0.618);
   double DNtp4m1 = M1P - (M1r * 0.764);
   double DNtp5m1 = M1P - (M1r * 1.000);
   double DNtp6m1 = M1P - (M1r * 1.236);
  
     if (Price1 > Midnolm1) {SW01m1="n"; Midplusm1_clr=SW2up_clr;}
     if (Price1 < Midnolm1) {SW01m1="n"; Midplusm1_clr=SW2dn_clr;}
     if (Price1 == Midnolm1) {SW01m1="n"; Midplusm1_clr=SW0_clr;}
     if (Price1 > UPtp1m1) {UP01m1="-"; UPtp1m1_clr=UP0_clr;}
     if (Price1 < DNtp1m1) {UP01m1="-"; UPtp1m1_clr=DN0_clr;}
     if (Price1 > UPtp2m1) {UP02m1="-"; UPtp2m1_clr=UP1_clr;}
     if (Price1 < DNtp2m1) {UP02m1="-"; UPtp2m1_clr=DN1_clr;}
     if (Price1 > UPtp3m1) {UP03m1="-"; UPtp3m1_clr=UP2_clr;}
     if (Price1 < DNtp3m1) {UP03m1="-"; UPtp3m1_clr=DN2_clr;}
     if (Price1 > UPtp4m1) {UP04m1="-"; UPtp4m1_clr=UP3_clr;}
     if (Price1 < DNtp4m1) {UP04m1="-"; UPtp4m1_clr=DN3_clr;}
     if (Price1 > UPtp5m1) {UP05m1="-"; UPtp5m1_clr=UP4_clr;}
     if (Price1 < DNtp5m1) {UP05m1="-"; UPtp5m1_clr=DN4_clr;}
     if (Price1 > UPtp6m1) {UP06m1="-"; UPtp6m1_clr=UP5_clr;}
     if (Price1 < DNtp6m1) {UP06m1="-"; UPtp6m1_clr=DN5_clr;}

   //******************************************************************************************************************
   string jogetS1="", jogetS2="", jogetT="";
   color clr_jogetS1, clr_jogetS2, clr_jogetT;

     if ((Teks > M1OPEN) && (Teks > M5OPEN) && (Teks > M1Pivot) && (Teks > M5Pivot))
        {jogetS1="UP"; clr_jogetS1=UP_clr;}
     else if ((Teks < M1Pivot) && (Teks < M5Pivot) && (Teks < M1OPEN) && (Teks < M5OPEN))
             {jogetS1="DN"; clr_jogetS1=DN_clr;}
          else {jogetS1="-----"; clr_jogetS1=SW_clr;}

     if ((Teks > M15OPEN) && (Teks > M30OPEN) && (Teks > H1OPEN)
        && (Teks > M15Pivot) && (Teks > M30Pivot) && (Teks > H1Pivot))
        {jogetS2="UP"; clr_jogetS2=UP_clr;}
     else if ((Teks < M15Pivot) && (Teks < M30Pivot) && (Teks < H1Pivot)
             && (Teks < M15OPEN) && (Teks < M30OPEN) && (Teks < H1OPEN))
             {jogetS2="DN"; clr_jogetS2=DN_clr;}
          else {jogetS2="-----"; clr_jogetS2=SW_clr;}

     if ((Teks > H4OPEN) && (Teks > D1OPEN) && (Teks > H4Pivot) && (Teks > D1Pivot))
        {jogetT="UP"; clr_jogetT=UP_clr;}
     else if ((Teks < H4Pivot) && (Teks < D1Pivot) && (Teks < H4OPEN) && (Teks < D1OPEN))
             {jogetT="DN"; clr_jogetT=DN_clr;}
          else {jogetT="-----"; clr_jogetT=SW_clr;}


   ObjectSetText("jFast", "Fast", 9, "Arial Narrow Bold", clr_jogetS1);
   ObjectSetText("jSignal", "Signal", 9, "Arial Narrow Bold", clr_jogetS2);
   ObjectSetText("jTrend", "Trend", 9, "Arial Narrow Bold", clr_jogetT);

   //******************************************************************************************************************
   string jogetM1="", jogetM5="", jogetM15="", jogetM30="", jogetH1="", jogetH4="", jogetD1="";
   color clr_jogetM1, clr_jogetM5, clr_jogetM15, clr_jogetM30, clr_jogetH1, clr_jogetH4, clr_jogetD1;

     if ((Teks > M1OPEN) && (Teks > M1Pivot))
        {jogetM1="g"; clr_jogetM1=UP_clr;}
     else if ((Teks < M1Pivot) && (Teks < M1OPEN))
             {jogetM1="g"; clr_jogetM1=DN_clr;}
          else {jogetM1="g"; clr_jogetM1=SW_clr;}

     if ((Teks > M5OPEN) && (Teks > M5Pivot))
        {jogetM5="g"; clr_jogetM5=UP_clr;}
     else if ((Teks < M5Pivot) && (Teks < M5OPEN))
             {jogetM5="g"; clr_jogetM5=DN_clr;}
          else {jogetM5="g"; clr_jogetM5=SW_clr;}

     if ((Teks > M15OPEN) && (Teks > M15Pivot))
        {jogetM15="g"; clr_jogetM15=UP_clr;}
     else if ((Teks < M15Pivot) && (Teks < M15OPEN))
             {jogetM15="g"; clr_jogetM15=DN_clr;}
          else {jogetM15="g"; clr_jogetM15=SW_clr;}

     if ((Teks > M30OPEN) && (Teks > M30Pivot))
        {jogetM30="g"; clr_jogetM30=UP_clr;}
     else if ((Teks < M30Pivot) && (Teks < M30OPEN))
             {jogetM30="g"; clr_jogetM30=DN_clr;}
          else {jogetM30="g"; clr_jogetM30=SW_clr;}

     if ((Teks > H1OPEN) && (Teks > H1Pivot))
        {jogetH1="g"; clr_jogetH1=UP_clr;}
     else if ((Teks < H1Pivot) && (Teks < H1OPEN))
             {jogetH1="g"; clr_jogetH1=DN_clr;}
          else {jogetH1="g"; clr_jogetH1=SW_clr;}

     if ((Teks > H4OPEN) && (Teks > H4Pivot))
        {jogetH4="g"; clr_jogetH4=UP_clr;}
     else if ((Teks < H4Pivot) && (Teks < H4OPEN))
             {jogetH4="g"; clr_jogetH4=DN_clr;}
          else {jogetH4="g"; clr_jogetH4=SW_clr;}

     if ((Teks > D1OPEN) && (Teks > D1Pivot))
        {jogetD1="g"; clr_jogetD1=UP_clr;}
     else if ((Teks < D1Pivot) && (Teks < D1OPEN))
             {jogetD1="g"; clr_jogetD1=DN_clr;}
          else {jogetD1="g"; clr_jogetD1=SW_clr;}

   ObjectSetText("jSignalM1", jogetM1, 10, "Webdings", clr_jogetM1);
   ObjectSetText("jSignalM5", jogetM5, 10, "Webdings", clr_jogetM5);
   ObjectSetText("jSignalM15", jogetM15, 10, "Webdings", clr_jogetM15);
   ObjectSetText("jSignalM30", jogetM30, 10, "Webdings", clr_jogetM30);
   ObjectSetText("jSignalH1", jogetH1, 10, "Webdings", clr_jogetH1);
   ObjectSetText("jSignalH4", jogetH4, 10, "Webdings", clr_jogetH4);
   ObjectSetText("jSignalD1", jogetD1, 10, "Webdings", clr_jogetD1);
  
//*****************************************************************************************************
   ObjectSetText("bGrn03", "g", 64, "Webdings", Bgrn_clr);
   ObjectSetText("bGrn02", "g", 64, "Webdings", Bgrn_clr);
   ObjectSetText("bGrn01", "g", 88, "Webdings", clr_jogetS2);

   ObjectSetText("jTex1", "M1", 9, "Arial Narrow Bold", White);
   ObjectSetText("jTex2", "M5", 9, "Arial Narrow Bold", White);
   ObjectSetText("jTex3", "15", 9, "Arial Narrow Bold", White);
   ObjectSetText("jTex4", "30", 9, "Arial Narrow Bold", White);
   ObjectSetText("jTex5", "H1", 9, "Arial Narrow Bold", White);
   ObjectSetText("jTex6", "H4", 9, "Arial Narrow Bold", White);
   ObjectSetText("jTex7", "D1", 9, "Arial Narrow Bold", White);

//*****************************************************************************************************
   ObjectSetText("jG07", SW01, 8, "Webdings", Midplus_clr);
   ObjectSetText("jG06", UP01, 21, "Verdana Bold", UPtp1D1_clr);
   ObjectSetText("jG05", UP02, 21, "Verdana Bold", UPtp2D1_clr);
   ObjectSetText("jG04", UP03, 21, "Verdana Bold", UPtp3D1_clr);
   ObjectSetText("jG03", UP04, 21, "Verdana Bold", UPtp4D1_clr);
   ObjectSetText("jG02", UP05, 21, "Verdana Bold", UPtp5D1_clr);
   ObjectSetText("jG01", UP06, 21, "Verdana Bold", UPtp6D1_clr);

   ObjectSetText("jG014", SW01h4, 8, "Webdings", Midplush4_clr);
   ObjectSetText("jG013", UP01h4, 21, "Verdana Bold", UPtp1h4_clr);
   ObjectSetText("jG012", UP02h4, 21, "Verdana Bold", UPtp2h4_clr);
   ObjectSetText("jG011", UP03h4, 21, "Verdana Bold", UPtp3h4_clr);
   ObjectSetText("jG010", UP04h4, 21, "Verdana Bold", UPtp4h4_clr);
   ObjectSetText("jG09", UP05h4, 21, "Verdana Bold", UPtp5h4_clr);
   ObjectSetText("jG08", UP06h4, 21, "Verdana Bold", UPtp6h4_clr);

   ObjectSetText("jG021", SW01h1, 8, "Webdings", Midplush1_clr);
   ObjectSetText("jG020", UP01h1, 21, "Verdana Bold", UPtp1h1_clr);
   ObjectSetText("jG019", UP02h1, 21, "Verdana Bold", UPtp2h1_clr);
   ObjectSetText("jG018", UP03h1, 21, "Verdana Bold", UPtp3h1_clr);
   ObjectSetText("jG017", UP04h1, 21, "Verdana Bold", UPtp4h1_clr);
   ObjectSetText("jG016", UP05h1, 21, "Verdana Bold", UPtp5h1_clr);
   ObjectSetText("jG015", UP06h1, 21, "Verdana Bold", UPtp6h1_clr);

   ObjectSetText("jG028", SW01m30, 8, "Webdings", Midplusm30_clr);
   ObjectSetText("jG027", UP01m30, 21, "Verdana Bold", UPtp1m30_clr);
   ObjectSetText("jG026", UP02m30, 21, "Verdana Bold", UPtp2m30_clr);
   ObjectSetText("jG025", UP03m30, 21, "Verdana Bold", UPtp3m30_clr);
   ObjectSetText("jG024", UP04m30, 21, "Verdana Bold", UPtp4m30_clr);
   ObjectSetText("jG023", UP05m30, 21, "Verdana Bold", UPtp5m30_clr);
   ObjectSetText("jG022", UP06m30, 21, "Verdana Bold", UPtp6m30_clr);

   ObjectSetText("jG035", SW01m15, 8, "Webdings", Midplusm15_clr);
   ObjectSetText("jG034", UP01m15, 21, "Verdana Bold", UPtp1m15_clr);
   ObjectSetText("jG033", UP02m15, 21, "Verdana Bold", UPtp2m15_clr);
   ObjectSetText("jG032", UP03m15, 21, "Verdana Bold", UPtp3m15_clr);
   ObjectSetText("jG031", UP04m15, 21, "Verdana Bold", UPtp4m15_clr);
   ObjectSetText("jG030", UP05m15, 21, "Verdana Bold", UPtp5m15_clr);
   ObjectSetText("jG029", UP06m15, 21, "Verdana Bold", UPtp6m15_clr);

   ObjectSetText("jG042", SW01m5, 8, "Webdings", Midplusm5_clr);
   ObjectSetText("jG041", UP01m5, 21, "Verdana Bold", UPtp1m5_clr);
   ObjectSetText("jG040", UP02m5, 21, "Verdana Bold", UPtp2m5_clr);
   ObjectSetText("jG039", UP03m5, 21, "Verdana Bold", UPtp3m5_clr);
   ObjectSetText("jG038", UP04m5, 21, "Verdana Bold", UPtp4m5_clr);
   ObjectSetText("jG037", UP05m5, 21, "Verdana Bold", UPtp5m5_clr);
   ObjectSetText("jG036", UP06m5, 21, "Verdana Bold", UPtp6m5_clr);

   ObjectSetText("jG049", SW01m1, 8, "Webdings", Midplusm1_clr);
   ObjectSetText("jG048", UP01m1, 21, "Verdana Bold", UPtp1m1_clr);
   ObjectSetText("jG047", UP02m1, 21, "Verdana Bold", UPtp2m1_clr);
   ObjectSetText("jG046", UP03m1, 21, "Verdana Bold", UPtp3m1_clr);
   ObjectSetText("jG045", UP04m1, 21, "Verdana Bold", UPtp4m1_clr);
   ObjectSetText("jG044", UP05m1, 21, "Verdana Bold", UPtp5m1_clr);
   ObjectSetText("jG043", UP06m1, 21, "Verdana Bold", UPtp6m1_clr);

   ObjectSetText("jPr1ce",""+Teks+"", 18, "Impact",  Bgrn_clr);
   ObjectSetText("jP2Open",""+PIPS+"", 9, "Arial Bold",  Bgrn_clr);
   ObjectSetText("jHiLO",""+HILO+"", 9, "Arial Bold",  Bgrn_clr);
//*****************************************************************************************************
 //----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int CreateOL( string n, int xoff, int yoff ) {
   ObjectCreate( n, OBJ_LABEL, window, 0, 0 );
   ObjectSet( n, OBJPROP_CORNER, corner );
   ObjectSet( n, OBJPROP_XDISTANCE, xoff );
   ObjectSet( n, OBJPROP_YDISTANCE, yoff );
   ObjectSet( n, OBJPROP_BACK, false );
}


int init()
  {

//---- 
   IndicatorShortName("+PriceSR+");  
//---- indicators


   CreateOL( "bGrn01", x_offset+33, y_offset+7 );
   CreateOL( "bGrn02", x_offset+36, y_offset+10 );
   CreateOL( "bGrn03", x_offset+62, y_offset+10 );

   CreateOL( "jPr1ce", x_offset+40, y_offset+95 );
   CreateOL( "jP2Open", x_offset+115, y_offset+96 );
   CreateOL( "jHiLO", x_offset+115, y_offset+108 );

   CreateOL( "jFast", x_offset+119, y_offset+12 );
   CreateOL( "jSignal", x_offset+77, y_offset+12 );
   CreateOL( "jTrend", x_offset+40, y_offset+12 );

   CreateOL( "jSignalM1", x_offset+130, y_offset+25 );
   CreateOL( "jSignalM5", x_offset+115, y_offset+25 );
   CreateOL( "jSignalM15", x_offset+100, y_offset+25 );
   CreateOL( "jSignalM30", x_offset+85, y_offset+25 );
   CreateOL( "jSignalH1", x_offset+70, y_offset+25 );
   CreateOL( "jSignalH4", x_offset+55, y_offset+25 );
   CreateOL( "jSignalD1", x_offset+40, y_offset+25 );

   CreateOL( "jTex1", x_offset+130, y_offset+25 );
   CreateOL( "jTex2", x_offset+115, y_offset+25 );
   CreateOL( "jTex3", x_offset+102, y_offset+25 );
   CreateOL( "jTex4", x_offset+87, y_offset+25 );
   CreateOL( "jTex5", x_offset+70, y_offset+25 );
   CreateOL( "jTex6", x_offset+55, y_offset+25 );
   CreateOL( "jTex7", x_offset+40, y_offset+25 );

   CreateOL( "jG07", x_offset+42, y_offset+42 );
   CreateOL( "jG06", x_offset+40, y_offset+43 );
   CreateOL( "jG05", x_offset+40, y_offset+49 );
   CreateOL( "jG04", x_offset+40, y_offset+55 );
   CreateOL( "jG03", x_offset+40, y_offset+61 );
   CreateOL( "jG02", x_offset+40, y_offset+67 );
   CreateOL( "jG01", x_offset+40, y_offset+73 );

   CreateOL( "jG014", x_offset+57, y_offset+42 );
   CreateOL( "jG013", x_offset+55, y_offset+43 );
   CreateOL( "jG012", x_offset+55, y_offset+49 );
   CreateOL( "jG011", x_offset+55, y_offset+55 );
   CreateOL( "jG010", x_offset+55, y_offset+61 );
   CreateOL( "jG09", x_offset+55, y_offset+67 );
   CreateOL( "jG08", x_offset+55, y_offset+73 );

   CreateOL( "jG021", x_offset+72, y_offset+42 );
   CreateOL( "jG020", x_offset+70, y_offset+43 );
   CreateOL( "jG019", x_offset+70, y_offset+49 );
   CreateOL( "jG018", x_offset+70, y_offset+55 );
   CreateOL( "jG017", x_offset+70, y_offset+61 );
   CreateOL( "jG016", x_offset+70, y_offset+67 );
   CreateOL( "jG015", x_offset+70, y_offset+73 );

   CreateOL( "jG028", x_offset+87, y_offset+42 );
   CreateOL( "jG027", x_offset+85, y_offset+43 );
   CreateOL( "jG026", x_offset+85, y_offset+49 );
   CreateOL( "jG025", x_offset+85, y_offset+55 );
   CreateOL( "jG024", x_offset+85, y_offset+61 );
   CreateOL( "jG023", x_offset+85, y_offset+67 );
   CreateOL( "jG022", x_offset+85, y_offset+73 );

   CreateOL( "jG035", x_offset+102, y_offset+42 );
   CreateOL( "jG034", x_offset+100, y_offset+43 );
   CreateOL( "jG033", x_offset+100, y_offset+49 );
   CreateOL( "jG032", x_offset+100, y_offset+55 );
   CreateOL( "jG031", x_offset+100, y_offset+61 );
   CreateOL( "jG030", x_offset+100, y_offset+67 );
   CreateOL( "jG029", x_offset+100, y_offset+73 );

   CreateOL( "jG042", x_offset+117, y_offset+42 );
   CreateOL( "jG041", x_offset+115, y_offset+43 );
   CreateOL( "jG040", x_offset+115, y_offset+49 );
   CreateOL( "jG039", x_offset+115, y_offset+55 );
   CreateOL( "jG038", x_offset+115, y_offset+61 );
   CreateOL( "jG037", x_offset+115, y_offset+67 );
   CreateOL( "jG036", x_offset+115, y_offset+73 );

   CreateOL( "jG049", x_offset+132, y_offset+42 );
   CreateOL( "jG048", x_offset+130, y_offset+43 );
   CreateOL( "jG047", x_offset+130, y_offset+49 );
   CreateOL( "jG046", x_offset+130, y_offset+55 );
   CreateOL( "jG045", x_offset+130, y_offset+61 );
   CreateOL( "jG044", x_offset+130, y_offset+67 );
   CreateOL( "jG043", x_offset+130, y_offset+73 );

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("jFast");   ObjectDelete("jSignal");
   ObjectDelete("jTrend");   ObjectDelete("jSignalM1");
   ObjectDelete("jSignalM5");   ObjectDelete("jSignalM15");
   ObjectDelete("jSignalM30");   ObjectDelete("jSignalH1");
   ObjectDelete("jSignalH4");   ObjectDelete("jSignalD1");
   ObjectDelete("bGrn01");   ObjectDelete("bGrn02");
   ObjectDelete("bGrn03");   ObjectDelete("jPr1ce");
   ObjectDelete("jTex1");   ObjectDelete("jTex2");
   ObjectDelete("jTex3");   ObjectDelete("jTex4");
   ObjectDelete("jTex5");   ObjectDelete("jTex6");
   ObjectDelete("jTex7");   ObjectDelete("jP2Open");
   ObjectDelete("jG01");   ObjectDelete("jG02");
   ObjectDelete("jG03");   ObjectDelete("jG04");
   ObjectDelete("jG05");   ObjectDelete("jG06");
   ObjectDelete("jG07");   ObjectDelete("jG08");
   ObjectDelete("jG09");   ObjectDelete("jG010");
   ObjectDelete("jG011");   ObjectDelete("jG012");
   ObjectDelete("jG013");   ObjectDelete("jG014");
   ObjectDelete("jG015");   ObjectDelete("jG016");
   ObjectDelete("jG017");   ObjectDelete("jG018");
   ObjectDelete("jG019");   ObjectDelete("jG020");
   ObjectDelete("jG021");   ObjectDelete("jG022");
   ObjectDelete("jG023");   ObjectDelete("jG024");
   ObjectDelete("jG025");   ObjectDelete("jG026");
   ObjectDelete("jG027");   ObjectDelete("jG028");
   ObjectDelete("jG029");   ObjectDelete("jG030");
   ObjectDelete("jG031");   ObjectDelete("jG032");
   ObjectDelete("jG033");   ObjectDelete("jG034");
   ObjectDelete("jG035");   ObjectDelete("jG036");
   ObjectDelete("jG037");   ObjectDelete("jG038");
   ObjectDelete("jG039");   ObjectDelete("jG040");
   ObjectDelete("jG041");   ObjectDelete("jG042");
   ObjectDelete("jG043");   ObjectDelete("jG044");
   ObjectDelete("jG045");   ObjectDelete("jG046");
   ObjectDelete("jG047");   ObjectDelete("jG048");
   ObjectDelete("jG049");   ObjectDelete("jG050");
   ObjectDelete("jG051");   ObjectDelete("jG052");
   ObjectDelete("jG053");   ObjectDelete("jG054");
   ObjectDelete("jG055");   ObjectDelete("jG056");
   ObjectDelete("jHiLO");   
//----
   return(0);
  }
//+------------------------------------------------------------------+

